cURL
curl --request PATCH \
--url https://api.useanima.sh/v1/orgs/{orgId}/compliance/controls/{controlId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"owner": "<string>",
"nextReviewAt": "<string>"
}
'import requests
url = "https://api.useanima.sh/v1/orgs/{orgId}/compliance/controls/{controlId}"
payload = {
"owner": "<string>",
"nextReviewAt": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({owner: '<string>', nextReviewAt: '<string>'})
};
fetch('https://api.useanima.sh/v1/orgs/{orgId}/compliance/controls/{controlId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"orgId": "<string>",
"framework": "SOC2",
"controlId": "<string>",
"title": "<string>",
"description": "<string>",
"category": "CC1",
"status": "NOT_STARTED",
"owner": "<string>",
"lastTestedAt": "<string>",
"nextReviewAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}API Reference
Patch orgs compliancecontrols
PATCH
/
orgs
/
{orgId}
/
compliance
/
controls
/
{controlId}
cURL
Authorizations
BearerAuthApiKeyAuth
JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer
Path Parameters
Organization identifier
Compliance control identifier
Body
application/json
Response
200 - application/json
OK
A compliance control record
Unique control identifier
Organization identifier
Compliance framework identifier
Available options:
SOC2, GDPR, PCI Control identifier (e.g. CC1.1)
Control title
Control description
Trust Service Criteria category
Available options:
CC1, CC2, CC3, CC4, CC5, CC6, CC7, CC8, CC9, A1, PI1, C1, P1 Current status of the compliance control
Available options:
NOT_STARTED, IN_PROGRESS, IMPLEMENTED, VERIFIED, FAILED Owner responsible for this control
ISO 8601 timestamp of last test
ISO 8601 timestamp of next review
ISO 8601 creation timestamp
ISO 8601 last update timestamp
